Home//
REST API Reference
/- Update a company
Create or Update a company
Retrieve companies
Retrieve a company by ID
Delete a company
List attached contacts
List attached segments for companies
List all companies
Scroll over all companies
Attach a Contact to a Company
List attached companies for contact
Detach a contact from a company
Company
Update a company
You can update a single company using the Intercom provisioned id.
Using `company_id`
When updating a company it is not possible to update company_id. This can only be set once upon creation of the company.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
- The production API serverhttps://api.intercom.io/companies/{id}
- The european API serverhttps://api.eu.intercom.io/companies/{id}
- The australian API serverhttps://api.au.intercom.io/companies/{id}
curl -i -X PUT \
https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.9'Successful
The Intercom defined code of the workspace the company is associated to.
Example:"ecahpwf5"
The custom attributes you have set on the company.
Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
Response
{ "type": "company", "company_id": "1", "id": "6657aac06abd0164c24b0cab", "app_id": "this_is_an_id145_that_should_be_at_least_", "name": "company2", "remote_created_at": 1717021376, "created_at": 1717021376, "updated_at": 1717021376, "monthly_spend": 0, "session_count": 0, "user_count": 1, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "plan": {}, "custom_attributes": {} }